=== debian/changelog ===
obconf-qt (0.16.6-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 0.16.6.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Required-Root.
  * d/copyright: Update copyright.
  * d/watch: Upgrade to version 5.

  [ Joel Orón Valiente ]
  * debian/gbp.conf: Drop compression so salsa CI can build.
  * debian/copyright: Add myself.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 06 Jan 2026 22:04:59 +0800
